package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.QyInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * info表Mapper接口
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public interface QyInfoMapper
{
    /**
     * 查询info表
     *
     * @param id info表ID
     * @return info表
     */
    QyInfo selectQyInfoById(Long id);

    /**
     * 查询info表列表
     *
     * @param qyInfo info表
     * @return info表集合
     */
    List<QyInfo> selectQyInfoList(QyInfo qyInfo);

    /**
     * 新增info表
     *
     * @param qyInfo info表
     * @return 结果
     */
    int insertQyInfo(QyInfo qyInfo);

    /**
     * 修改info表
     *
     * @param qyInfo info表
     * @return 结果
     */
    int updateQyInfo(QyInfo qyInfo);

    /**
     * 删除info表
     *
     * @param id info表ID
     * @return 结果
     */
    int deleteQyInfoById(Long id);

    /**
     * 批量删除info表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteQyInfoByIds(String[] ids);

    /**
     * 查询企业信息
     * @param bsid 唯一标志
     * @return
     */
    QyInfo selectQyInfoByBsId(String bsid);


    /**
     * 查询info表
     *
     * @param card sfz
     * @return info表
     */
    List<QyInfo> selectQyInfoByCard(@Param("card") String card);

    /**
     * 修改info表
     *
     * @param
     * @return 结果
     */
    int submitFrom(@Param("bsid") String bsid, @Param("flg") String flg, @Param("createdate") Date createTime);

    /**
     *
     * @param info
     * @return
     */
    int updateQyInfoBybsid(QyInfo info);


    /**
     * 删除info表
     *
     * @param bsid
     * @return 结果
     */
    int   deleteQyInfoByBsId(String bsid);


    /**
     * 根据时间查询信息
     */
    Map selectQyInfoByDate(@Param("start") String start, @Param("end") String end);


    List<Map>  selectQyInfoByNumb(String Date);
    List<Map>  selectQyInfoToflg();

}
